> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Evaluation Dataset Version

> ### Description
Creates a evaluation dataset version

### Details
This API can be used to create a evaluation dataset version. To use this API, review the request schema and pass in all fields that are required to create a evaluation dataset version.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml post /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions:
    post:
      tags:
        - Evaluation Datasets
      summary: Create Evaluation Dataset Version
      description: >-
        ### Description

        Creates a evaluation dataset version


        ### Details

        This API can be used to create a evaluation dataset version. To use this
        API, review the request schema and pass in all fields that are required
        to create a evaluation dataset version.
      operationId: >-
        POST-V4-/evaluation-datasets/{evaluation_dataset_id}/evaluation-dataset-versions
      parameters:
        - name: evaluation_dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Evaluation Dataset Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EvaluationDatasetVersionRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluationDatasetVersionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from scale_gp import SGPClient


            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )

            evaluation_dataset_version =
            client.evaluation_datasets.evaluation_dataset_versions.create(
                evaluation_dataset_id="evaluation_dataset_id",
            )

            print(evaluation_dataset_version.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tevaluationDatasetVersion, err := client.EvaluationDatasets.EvaluationDatasetVersions.New(\n\t\tcontext.TODO(),\n\t\t\"evaluation_dataset_id\",\n\t\tsgp.EvaluationDatasetEvaluationDatasetVersionNewParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", evaluationDatasetVersion.ID)\n}\n"
components:
  schemas:
    EvaluationDatasetVersionRequest:
      properties:
        draft:
          title: Draft
          description: >-
            Boolean to check whether or not the evaluation dataset is in draft
            mode
          optional_in_request: true
          type: boolean
        published_at:
          title: Published At
          description: >-
            The date and time that all test case results for the evaluation were
            completed for the evaluation in ISO format.
          type: string
          format: date-time
        account_id:
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
          optional_in_request: true
          type: string
      type: object
      title: EvaluationDatasetVersionRequest
    EvaluationDatasetVersionResponse:
      properties:
        num:
          type: integer
          title: Num
          description: The version number, automatically incremented on creation
        evaluation_dataset_id:
          type: string
          title: Evaluation Dataset Id
          description: The ID of the associated evaluation dataset.
        draft:
          title: Draft
          description: >-
            Boolean to check whether or not the evaluation dataset is in draft
            mode
          optional_in_request: true
          type: boolean
        published_at:
          title: Published At
          description: >-
            The date and time that all test case results for the evaluation were
            completed for the evaluation in ISO format.
          type: string
          format: date-time
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        account_id:
          title: Account Id
          description: The ID of the account that owns the given entity.
          can_patch: false
          optional_in_request: true
          type: string
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
        archived_at:
          title: Archived At
          description: The date and time when the entity was archived in ISO format.
          type: string
          format: date-time
      type: object
      required:
        - num
        - evaluation_dataset_id
        - draft
        - id
        - created_at
        - account_id
        - created_by_user_id
        - created_by_identity_type
      title: EvaluationDatasetVersionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````